class_name Focus
extends Camera2D
# Transition to next slide and focus current slide


signal ended


# Called when the node enters the scene tree for the first time.
func _ready():
	pass # Replace with function body.


# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta):
	pass


func focus_on(pos: Vector2, scale: float) -> void:
	set_position(pos)
	set_zoom(Vector2.ONE / scale)
	ended.emit()


func _on_show_new_focus(pos: Vector2, scale: float) -> void:
	focus_on(pos, scale)
